curl --request GET \
--url https://{host}/lucca-api/professions/{id} \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"id": "89",
"type": "profession",
"url": "https://example.ilucca.net/lucca-api/professions/89",
"title": "Developer",
"isArchived": false,
"t9n": {
"title": {
"fr-FR": "Développeur"
}
},
"links": {},
"embedded": {}
}Retrieve a profession by its ID.
curl --request GET \
--url https://{host}/lucca-api/professions/{id} \
--header 'Api-Version: <api-version>' \
--header 'Authorization: Bearer <token>'{
"id": "89",
"type": "profession",
"url": "https://example.ilucca.net/lucca-api/professions/89",
"title": "Developer",
"isArchived": false,
"t9n": {
"title": {
"fr-FR": "Développeur"
}
},
"links": {},
"embedded": {}
}Required OAuth 2.0 Scopes
job-qualifications.readonly
job-qualifications.readwrite
The Lucca API implements the oAuth 2 protocol with the client-credentials-flow. Refer to RFC8725.
Set the API version.
2024-11-01 "2024-11-01"10"2024-11-01"
Only execute the request if current cached version of the resource does not match the one given here.
"W/q5sd4w2x1c1gfdg"
Only execute the request if current cached version of the resource matches the one given here. Useful to avoid concurrency conflicts.
"W/q5sd4w2x1c1gfdg"
List of compression algorithms you support.
Identifier of the profession to retrieve.
1Include metadata:
embedded: the partial or complete representations of related resources
(e.g. the employee the resource belongs to).links: links to related resources or actions (e.g. approving a leave-request).
May be null when you do not have access to the resource (or action).totalCount: only applicable on collections (i.e. lists of resources), gives
the total number of items across all pages.Read more about expanding responses.
embedded, links, totalCount OK
A profession resource.
1"profession"Must be unique. Leading and trailing spaces are automatically removed.
1 - 255Once archived, a profession can no longer be referenced by new job-qualifications.
Show child attributes
No embedded resources on a profession(s) response. Expect an empty object if embedded are requested.
Was this page helpful?